OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_compress_fuzz_target.cpp File Reference
`#include <cstdint>`
`#include <vector>`
`#include <cstdlib>`
`#include <iostream>`
`#include "ojph_mem.h"`
`#include "ojph_file.h"`
`#include "ojph_codestream.h"`
`#include "ojph_params.h"`

Go to the source code of this file.

## Functions
int | LLVMFuzzerTestOneInput (const uint8_t *Data, size_t Size)

## Function Documentation

## ◆ LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | const uint8_t * | Data,
|  | size_t | Size )

Definition at line 59 of file ojph_compress_fuzz_target.cpp.

References ojph::codestream::access_cod(), ojph::codestream::access_qcd(), ojph::codestream::access_siz(), ojph::codestream::close(), ojph::codestream::exchange(), ojph::codestream::flush(), ojph::line_buf::i32, ojph::mem_outfile::open(), ojph::param_cod::set_color_transform(), ojph::param_siz::set_component(), ojph::param_siz::set_image_extent(), ojph::param_qcd::set_irrev_quant(), ojph::param_siz::set_num_components(), ojph::param_cod::set_num_decomposition(), ojph::codestream::set_planar(), ojph::param_cod::set_reversible(), and ojph::codestream::write_headers().